/*
Incomming Call Activated Remote Temperature Monitor 
 http://arduino.cc/en/uploads/Main/Quectel_M10_AT_commands.pdf
*/
#include <SoftwareSerial.h> //default library
#include <OneWire.h>
#include <DallasTemperature.h> 
// Data wire is plugged into port 2 on the Arduino
#define ONE_WIRE_BUS 4
// Setup a oneWire instance to communicate with any OneWire devices (not just Maxim/Dallas temperature ICs)
OneWire oneWire(ONE_WIRE_BUS);
// Pass our oneWire reference to Dallas Temperature. 
DallasTemperature sensors(&oneWire);
   const long oneSecond = 1000;  // a second is a thousand milliseconds
const long oneMinute = oneSecond * 60;
const long oneHour   = oneMinute * 60;
const long oneDay    = oneHour * 24;
SoftwareSerial gsm(3,2);//TX,RX
void setup(){
  Serial.begin(9600); //Serial monitor works on 9600 baudrate for debugging
  gsm.begin(9600); // Serial Monitor for gsm Module
    sensors.begin(); 
      //////////////////////////////////////////////////////////////////////////////////////////////
      gsm.println("ATH");
delay(1000);
    gsm.println("AT+CMGF=1"); // commanding text mood to text mesaage
    delay(1000);
    gsm.println("AT+CMGS=\"+917044820709\"\r"); // SIM no in circuit
    
    delay(200);
    gsm.print("**Software Reset/Update/Power Intrupted**.Rail Temperature Data for TBAE will update Hourly after this Message. ");
    delay(300);
    gsm.println((char)26); // End AT command with a ^Z, ASCII code 26
 Serial.println("message sent");
}
//+917044820709 PWI TBAE

void loop(){ 
sensors.requestTemperatures();
delay(5000);
gsm.println("ATH");
delay(1000);
          gsm.println("AT+CMGF=1"); // commanding text mood to text mesaage
    delay(1000);
    gsm.println("AT+CMGS=\"+917044820709\"\r"); // SIM no in circuit
    delay(200);
    gsm.print("Rail Temperature at TBAE is: ");
    gsm.print(sensors.getTempCByIndex(0));
    delay(300);
    gsm.println((char)26); // End AT command with a ^Z, ASCII code 26
 Serial.print("message sent ");
 Serial.println(sensors.getTempCByIndex(0));
delay(5000);

          gsm.println("AT+CMGF=1"); // commanding text mood to text mesaage
    delay(1000);
    gsm.println("AT+CMGS=\"+919830974838\"\r"); // Receiver number
    delay(200);
    gsm.print("Rail Temperature at TBAE is: ");
    gsm.print(sensors.getTempCByIndex(0));
    delay(300);
    gsm.println((char)26); // End AT command with a ^Z, ASCII code 26
 Serial.print("message sent ");
 Serial.println(sensors.getTempCByIndex(0));
   delay(oneHour);
   }
